Page MenuHomePhabricator

Only display organizations defined in Wikimedia's DB (disable assuming orgs via hostnames in email addresses)
Closed, ResolvedPublic

Description

(Split from T157898#3124591)

"Organizations" on https://wikimedia.biterg.io/app/kibana#/dashboard/Git lists some orgs (based on the hostname of people's email addresses) that we do not have in our DB, such as "Debian GNU/Linux".
This looks like some configuration change and is a Regression of T100189#1580919.
See T100189#1583127 and T100189#1583393 for previous discussion (which still applies).

Is this just a configuration switch or does this need some code to be written?

Event Timeline

Aklapper created this task.Mar 24 2017, 2:27 PM

After reading the comments I've removed several organizations based in the previous tickets. You were right, we did load a standard organizations file we have, and those organizations were on that file.

Sorry for that!

You can check now the organizations for example in Git: https://wikimedia.biterg.io/app/kibana#/dashboard/Git

Feel free to close it if you think is done and I didn't miss anything.

@Albertinisg: Thanks for looking into this. Would it be possible to change the conf to strictly stick to only those 17 organizations that are in Wikimedia's DB?

@Albertinisg: Thanks for looking into this. Would it be possible to change the conf to strictly stick to only those 17 organizations that are in Wikimedia's DB?

Yes! as we spoke this morning, we will try to have this ready for the next week. Take note that tomorrow and Friday are non working days here :)

Awesome!

For the records (and for anyone who wants to compare), the orgs listed in our Wikimedia DB are currently: "Wikimedia Foundation", "Independent", "Wikimedia Deutschland", "WikiWorks", "Hallo Welt!", "Facebook", "Google", "IBM", "Wikia, Inc.", "Intel", "Suse", "HP", "RedHat", "Phacility", "Deviantart", "Etsy", "Canonical"

Qgil assigned this task to Albertinisg.Apr 27 2017, 8:14 PM

Sorry for the long delay into this. The list of organizations is now updated and the list displayed is the one from the Wikimedia DB file (or the list you wrote here).

@Aklapper if you find the aim of the task is done, feel free to close it!

Aklapper closed this task as Resolved.May 5 2017, 2:31 PM
Aklapper moved this task from April to May on the Developer-Advocacy (Apr-Jun 2017) board.

@Albertinisg: Yes, this looks great and the list of orgs and the behavior looks as expected! Thank you a lot!
Closing this task while I'm going to play a bit more with the data... :)

Qgil awarded a token.May 8 2017, 1:09 PM